%define upstream_name	 Time-Piece
%define upstream_version 1.20

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Object Oriented time objects
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
This module replaces the standard localtime and gmtime functions with
implementations that return objects. It does so in a backwards compatible
manner, so that using localtime/gmtime in the way documented in perlfunc will
still return what you expect.

The module actually implements most of an interface described by Larry Wall on
the perl5-porters mailing list here:
http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2000-01/msg00241.html

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Time
%{perl_vendorarch}/auto/Time
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-7.mga3
+ Revision: 374357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.200.0-6.mga3
+ Revision: 251262
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.200.0-5.mga2
+ Revision: 105060
- Rebuild for perl 5.14

* Tue Jan 18 2011 blino <blino> 1.200.0-4.mga1
+ Revision: 23273
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-Time-Piece

